/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jclouds.aliyun.ecs.domain;

import com.google.auto.value.AutoValue;
import org.jclouds.javax.annotation.Nullable;
import org.jclouds.json.SerializedNames;

@AutoValue
public abstract class Tag {

   public static final String DEFAULT_OWNER_KEY = "owner";
   public static final String DEFAULT_OWNER_VALUE = "jclouds";
   public static final String GROUP = "group";

   Tag() {}

   @SerializedNames({ "TagKey", "TagValue" })
   public static Tag create(String key, String value) {
      return new AutoValue_Tag(key, value);
   }

   public abstract String key();

   @Nullable
   public abstract String value();
}
