/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jclouds.snia.cdmi.v1.internal;

import org.jclouds.rest.internal.BaseRestApiExpectTest;

/**
 * Base class for writing CDMI Expect tests
 */
public class BaseCDMIExpectTest<T> extends BaseRestApiExpectTest<T> {

   public BaseCDMIExpectTest() {
      provider = "cdmi";
      // now, createContext arg will need tenant prefix
      identity = "tenantId:username";
      credential = "password";
   }
}
