/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jclouds.cloudsigma2.config;

public class CloudSigma2Properties {

   /**
    * Default VNC password used on new machines
    */
   public static final String PROPERTY_VNC_PASSWORD = "jclouds.cloudsigma.vnc-password";
   
   /**
    * Time in milliseconds to wait for a drive to be cloned
    * Default: 60000 
    */
   public static final String TIMEOUT_DRIVE_CLONED = "jclouds.cloudsigma.timeout.drive-cloned";
   
   /**
    * Controls if the drives of a server should be destroyed when deleting the server
    * Default: true 
    */
   public static final String PROPERTY_DELETE_DRIVES = "jclouds.cloudsigma.delete-drives";
}
